KRB5_FIND_PADATA(3)

NAME
krb5_find_padata, krb5_padata_add - Kerberos 5 pre-authentication data handling functions

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5/krb5.h>

PA_DATA *
krb5_find_padata(PA_DATA *val, unsigned len, int type, int *index);
int
krb5_padata_add(krb5_context context, METHOD_DATA *md, int type, void *buf, size_t len);

DESCRIPTION
krb5_find_padata() tries to find the pre-authentication data entry of type type in the array val of length len. The search is started at entry pointed out by *index (zero based indexing). If the type isn't found, NULL is returned.

krb5_padata_add() adds a pre-authentication data entry of type type pointed out by buf and len to md.

SEE ALSO
krb5(3), kerberos(8)